##### Subdir forwarding

subdirs := $(filter-out ../ ./ .svn/ .archive/,$(call wildcard/,.*/ */))
allSubdirs := $(subdirs) .public/

define subdirTargets
$(subdir): _always
	+$$(subMake)

$(subdir)%: _always
	+$$(subMake)
.PRECIOUS: $(subdir)% # let subdir's Makefile decide whether to delete on error
endef
$(foreach subdir,$(allSubdirs),$(eval $(subdirTargets)))

Makefile: ;

%: $(addsuffix %,$(subdirs)) _always ;
